Bug 143541 - [patch] comms/gammu-devel: update to the current development version
Summary: [patch] comms/gammu-devel: update to the current development version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sylvio Cesar Teixeira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-04 08:00 UTC by Boris Samorodov
Modified: 2011-02-11 05:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2010-02-04 08:00:01 UTC

Fix: . update to version 1.27.90;
	. use base gcc at ARCH={amd64,sparc64};
	. connect the port to the build.

	A note to a committer: the patch is relative to the PORTSDIR.



-- 
WBR, bsam--BncMUJRHkTDyl1heTTA5VsJXZKv763KZf20qXu3JnrIVepRe
Content-Type: text/plain; name="ports.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="ports.diff"

Index: comms/Makefile
===================================================================
RCS file: /home/pcvs/ports/comms/Makefile,v
retrieving revision 1.213
diff -u -r1.213 Makefile
--- comms/Makefile	31 Jan 2010 06:59:09 -0000	1.213
+++ comms/Makefile	4 Feb 2010 07:48:06 -0000
@@ -33,6 +33,7 @@
     SUBDIR += esmska
     SUBDIR += fldigi
     SUBDIR += gammu
+    SUBDIR += gammu-devel
     SUBDIR += garmin-utils
     SUBDIR += geoid
     SUBDIR += ghfaxviewer
Index: comms/gammu-devel/Makefile
===================================================================
RCS file: /home/pcvs/ports/comms/gammu-devel/Makefile,v
retrieving revision 1.53
diff -u -r1.53 Makefile
--- comms/gammu-devel/Makefile	2 Dec 2009 22:54:55 -0000	1.53
+++ comms/gammu-devel/Makefile	4 Feb 2010 07:48:06 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	gammu
-PORTVERSION=	1.26.90
+PORTVERSION=	1.27.90
 CATEGORIES=	comms
 MASTER_SITES=	http://dl.cihar.com/gammu/releases/ \
 		http://dl.cihar.com.nyud.net/gammu/releases/
@@ -44,10 +44,6 @@
 
 .include <bsd.port.pre.mk>
 
-.if (${ARCH} == "amd64" || ${ARCH} == "sparc64")
-USE_GCC=	4.3
-.endif
-
 post-patch:
 	@${REINPLACE_CMD} -i '' -e 's:bash:sh:' -e 's:dialog:cdialog:' ${WRKSRC}/utils/gammu-config
 .if ${OSVERSION} < 700042
Index: comms/gammu-devel/distinfo
===================================================================
RCS file: /home/pcvs/ports/comms/gammu-devel/distinfo,v
retrieving revision 1.32
diff -u -r1.32 distinfo
--- comms/gammu-devel/distinfo	2 Dec 2009 22:54:55 -0000	1.32
+++ comms/gammu-devel/distinfo	4 Feb 2010 07:48:06 -0000
@@ -1,3 +1,3 @@
-MD5 (gammu-1.26.90.tar.gz) = 62e53f3fd7da4d820d3c17d6de66bb65
-SHA256 (gammu-1.26.90.tar.gz) = 83318d46fc42893009838969231202487aba1f295736970d4acc404b945b3268
-SIZE (gammu-1.26.90.tar.gz) = 3446832
+MD5 (gammu-1.27.90.tar.gz) = 350ad0118a2fd65293819b7184a28c4c
+SHA256 (gammu-1.27.90.tar.gz) = 42d12205d4199a5427eef5328d34e02b78e8fb415c61ab2a1c2bc9447939a68d
+SIZE (gammu-1.27.90.tar.gz) = 3595581
Comment 1 Edwin Groothuis freebsd_committer 2010-02-04 08:00:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-02-13 21:36:10 UTC
sylvio      2010-02-13 21:35:58 UTC

  FreeBSD ports repository

  Modified files:
    comms                Makefile 
  Log:
  - Add gammu-devel in comms/Makefile
  
  PR:             ports/143541
  Submitted by:   bsam@
  Approved by:    miwi (mentor) via irc
  
  Revision  Changes    Path
  1.215     +1 -0      ports/comms/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2010-02-13 22:00:43 UTC
sylvio      2010-02-13 22:00:29 UTC

  FreeBSD ports repository

  Modified files:
    comms/gammu-devel    Makefile distinfo 
  Log:
  - Update to version 1.27.90
  - Use base gcc at ARCH={amd64,sparc64}
  
  PR:             ports/143541
  Submitted by:   bsam@
  Approved by:    miwi (mentor) via irc
  
  Revision  Changes    Path
  1.55      +1 -5      ports/comms/gammu-devel/Makefile
  1.34      +3 -3      ports/comms/gammu-devel/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Sylvio Cesar Teixeira freebsd_committer 2010-02-13 22:01:49 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 arcade 2011-02-06 18:48:00 UTC
Hi there.

This doesn't work for me:

Linking C executable gammu
[ 70%] Built target gammu
Scanning dependencies of target gammu-detect
[ 70%] Building C object gammu-detect/CMakeFiles/gammu-detect.dir/main.o
Linking C executable gammu-detect
/usr/bin/ld: cannot find -lglib-2.0

# uname -a
FreeBSD limbo.lan 8.2-PRERELEASE FreeBSD 8.2-PRERELEASE #0 r218264: Fri 
Feb  4 16:45:59 EET 2011 
arcade@limbo.lan:/usr/obj/usr/src/sys/MINIMAL_8  i386

-- 
Sphinx of black quartz judge my vow.
Comment 6 Boris B.Samorodov 2011-02-11 05:49:24 UTC
The port comms/gammu is newer for now. I'd recommend using it.

-- 
WBR, Boris Samorodov (bsam)
Research Engineer, http://www.ipt.ru Telephone & Internet SP
FreeBSD Committer, http://www.FreeBSD.org The Power To Serve